Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.pietschy.command.face
Enum Attribute

    java.lang.Object
      java.lang.Enum<Attribute>
          com.pietschy.command.face.Attribute

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attribute>

    public enum Attribute

extends java.lang.Enum<Attribute>

An enum of the named attributes (properties) of a `Face`.

Enum Constant Summary
`accelerator`
`description`
`disabledIcon`
`extendsContext`
`horizontalTextPosition`
`icon`
`iconTextGap`
`longDescription`
`mnemonic`
`mnemonicIndex`
`pressedIcon`
`rolloverIcon`
`rolloverSelectedIcon`
`selectedIcon`
`text`
`verticalTextPosition`

Method Summary
`static Attribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### text

    public static final Attribute text

### description

    public static final Attribute description

### longDescription

    public static final Attribute longDescription

### icon

    public static final Attribute icon

### selectedIcon

    public static final Attribute selectedIcon

### rolloverIcon

    public static final Attribute rolloverIcon

### rolloverSelectedIcon

    public static final Attribute rolloverSelectedIcon

### pressedIcon

    public static final Attribute pressedIcon

### disabledIcon

    public static final Attribute disabledIcon

### horizontalTextPosition

    public static final Attribute horizontalTextPosition

### verticalTextPosition

    public static final Attribute verticalTextPosition

### iconTextGap

    public static final Attribute iconTextGap

### mnemonic

    public static final Attribute mnemonic

### mnemonicIndex

    public static final Attribute mnemonicIndex

### accelerator

    public static final Attribute accelerator

### extendsContext

    public static final Attribute extendsContext

Method Detail

### values

    public static final Attribute[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Attribute c : Attribute.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Attribute valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 - 2007 Andrew Pietsch